aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--bootsplash.spec5
-rw-r--r--scripts/remove-theme64
2 files changed, 68 insertions, 1 deletions
diff --git a/bootsplash.spec b/bootsplash.spec
index 17cf809..a9254c5 100644
--- a/bootsplash.spec
+++ b/bootsplash.spec
@@ -1,5 +1,5 @@
%define name bootsplash
-%define version 2.0.4
+%define version 2.0.5
%define release 1mdk
%define _bootdir /boot
@@ -75,6 +75,9 @@ rm -rf $RPM_BUILD_ROOT
%{_bindir}/*
%changelog
+* Thu Sep 18 2003 Warly <warly@mandrakesoft.com> 2.0.5-1mdk
+- pablo fixes for japanese
+
* Fri Sep 5 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.4-1mdk
- 64-bit & lib64 fixes
diff --git a/scripts/remove-theme b/scripts/remove-theme
new file mode 100644
index 0000000..14636c1
--- /dev/null
+++ b/scripts/remove-theme
@@ -0,0 +1,64 @@
+#!/bin/sh
+# -*- Mode: shell-script -*-
+# Copyright (C) 2003 by Florent Villard <warly@mandrakesoft.com>
+# Redistribution of this file is permitted under the terms of the GNU
+# Public License (GPL)
+#
+
+sysconfig=/etc/sysconfig/bootsplash
+
+function remove_theme () {
+ tmpfile=$(mktemp /tmp/.bootsplash.XXXXXXX)
+ cp -f $sysconfig $tmpfile && rm -f $sysconfig
+ ok=
+ while read line;do
+ if [[ $line == THEME=* ]];then
+ echo "THEME=" >> $sysconfig
+ ok=yes
+ continue;
+ fi
+ echo $line >> $sysconfig
+ done < $tmpfile
+ if [[ -z $ok ]];then
+ echo "THEME=$toswitch" >> $sysconfig
+ fi
+ rm -f $tmpfile
+ rm -f /etc/bootsplash/current
+}
+
+function update_boot () {
+ pushd /boot &> /dev/null
+ if [[ -x /usr/share/loader/make-initrd ]]; then
+ /usr/share/loader/make-initrd -n &> /dev/null
+ if [[ -x /usr/sbin/detectloader ]]; then
+ LOADER=$(/usr/sbin/detectloader -q)
+ if [[ $LOADER = "LILO" ]] && [[ -x /sbin/lilo ]];then
+ /sbin/lilo >/dev/null 2>/dev/null
+ fi
+ if [[ $LOADER = "YABOOT" ]] && [[ -x /sbin/ybin ]];then
+ /sbin/ybin >/dev/null 2>/dev/null
+ fi
+ fi
+ fi
+ popd &> /dev/null
+}
+
+function usage () {
+ basename=`basename $0`
+ cat <<EOF
+ $basename <theme>
+
+EOF
+ exit 1
+}
+
+theme=$1
+
+[[ -z $theme ]] && usage;
+
+[[ -f $sysconfig ]] && . $sysconfig
+
+if [[ $THEME = $theme ]]; then
+ remove_theme
+ update_boot
+fi